<?php

class Eagle_MostPopularTags_ControllerPublic_Tags extends XFCP_Eagle_MostPopularTags_ControllerPublic_Tags 
{
	public function actionIndex()
	{
		$response = parent::actionIndex();
		$options = XenForo_Application::get('options');
		if($options->MostPopularTagsEnableAddon == 1)
		{
			if ($response instanceof XenForo_ControllerResponse_View) 
			{
				$tags['tag'] = $this->getModelFromCache('Eagle_MostPopularTags_Model_MostPopularTags')->getListMostPopularTags($options->MostPopularTagsCount);
				$response->params['tags'] = $tags;
			}
		}
       		return $response;
	}

	/**
	 * @return XenForo_Model_Tag
	 */
	protected function _getMostPopularTagsModel()
	{
		return $this->getModelFromCache('XenForo_Model_Tag');
	}
}